function [id]=check_stationary(parms_n,parms_s,const,exo,ind_n,ind_s,nvars,lags,nst);

id=1;

[ind_VAR_n,ind_parms_n]=findparms(ind_n,const,exo);
[ind_VAR_s,ind_parms_s]=findparms(ind_s,const,exo);

%construct A-matrix (VAR companion form)

Amat=zeros(nvars*lags);
Amat(nvars+1:end,1:nvars*(lags-1))=eye(nvars*(lags-1));
Amat=Amat(:,:,ones(1,nst));

%non-switching VAR parameters;
parms_mat=zeros(nvars*lags,nvars);
parms_mat(find(ind_n(:,const+1:end-exo)'))=parms_n(ind_VAR_n);
Amat(1:nvars,:,:)=Amat(1:nvars,:,:)+permute(parms_mat(:,:,ones(1,nst)),[2 1 3]);
%switching VAR parameters;
for j=1:nst   
    parms_mat=zeros(nvars*lags,nvars);
    parms_mat(find(ind_s(:,const+1:end-exo)'))=parms_s(ind_VAR_s,j);
    Amat(1:nvars,:,j)=Amat(1:nvars,:,j)+parms_mat';
end

for k=1:nst
    if any(abs(eig(Amat(:,:,k)))>1)
        id=0;
    end
end
