[data ser]=xlsread([data_dir 'phillcurve_data_1008.xls']); % partially 1970Q1 - 08Q3
%'OBS' 'LHICP' 'LHICP_GAP70' 'LHICP_GAP85' 'LHICP_HP70'	'LHICP_HP85' 'LM3' 'LM3_GAP70' 'LM3_GAP85'
%'LM3_HP70' 'LM3_HP85' 'LLOANS_IND' 'LLOANS_INDGAP80' 'LLOANS_INDHP80' 'LGDP' 'LGDP_HP70' 'LGDP_HP85' 
%'GAP70' 'GAP85' 'LCOM' 'LOILEUR' 'LPPI' 'LRATE' 'SRATE'

ser=ser(1,2:end);
cal_end=2010.25;
cal=sort(cal_end-[0:size(data,1)-1]./4);
ex=[];

dep_ind=find(strcmpi(dep,ser));

ser_sel = ser(find(sum(strcmpi(ser(ones(size(ser_incl,1),1),:),ser_incl(:,ones(1,size(ser,2)))),1))); % string array of included series
ind_mat=kron([1:length(ser)]',ones(1,length(ser_sel)));
ser_ind=ind_mat(strcmpi(ser(ones(size(ser_incl,1),1),:),ser_incl(:,ones(1,size(ser,2))))'==1); %choose which series to include, index array

y=data(:,dep_ind);
T=size(y,1);

Zgam=[];
if tvar
    pvar_ind=find(strcmpi(pvar,ser));
    Zgam=[0/0;data(1:end-1,pvar_ind)];
    Zdim=size(Zgam,2);
end        

X=data(:,ser_ind);
X(:,end)=100*X(:,end); %re-scaling cyclical output gap

T_incl=find(and(cal'>=cal_beg,all(([y X Zgam]>-Inf).*([y X Zgam]<Inf),2)));
T=length(T_incl);
nxvar=size(X,2);

y=y(T_incl,:);
x=X(T_incl,:);
cal=cal(T_incl);
if tvar
    Zgam=Zgam(T_incl,:);
end

y_m=zeros(1,size(y,2));
y_s=ones(1,size(y,2));
dum_mat=zeros(size(y));
if m_adj
    y_m=mean(y,1);
end
if s_adj
    y_s=std(y,[],1);
end
if or(m_adj,s_adj)
    for j=find(any(dum_mat,1));
        y_m(j)=mean(y(~dum_mat(:,j),j),1);
        if s_adj
            y_s(j)=std(y(~dum_mat(:,j),j),[],1);
        end
    end
end
y=(y-kron(ones(size(y,1),1),y_m))./kron(ones(size(y,1),1),y_s); %endogenous, mean-adjusted variables
ex=x;
clear X x;