function [lh, maxl] = likeli(y,Z,beta_fix,beta_ms,sig,nst);
% LIKELI likelihood 
% function call: lh = likeli(y,lmda)

if length(beta_fix)>0;
    beta=[beta_fix(:,ones(1,nst));beta_ms];
else 
    beta=[beta_ms];
end
mvec=(Z*beta);
llh = pmultnormlog(y,mvec,sig)';
maxl = max(llh);
lh = exp(llh - maxl(ones(nst,1),:));
