% %function ploteta(res)
set(0,'DefaultLineLineWidth',2.5,'DefaultAxesFontSize',28)
flab=34;
fax=28;
flin=2.5;
vars=[1]; % choose which variables' impulse responses to draw
%ylab=ser_incl;
gz=1;
%str=['k--';'k: '];
str=['b--';'r- ';'g- '];
%exo_lab=strrep(ser_incl,'ea_','ea-');
% exo_lab={'\beta_1_k';'\beta_2_k'};
exo_lab={'M3 growth';'GDP growth';'Bond yield';'Output gap'};
if id_sel
    [pars si]=sort(parmsmc_s([3,4,end],:,:),2);
    [pars1 si1]=sort(parmsmc_s([2],:,:),2,'descend');
    si=cat(1,si,si1);
    idperm=find(squeeze(all(si(:,1,:)==1,1)));
    it_b=min(find(idperm>(it-125000)));
    index=idperm(it_b:10:end);
elseif ~id_sel
it_b=(it0==0)*(it-75000)+1;
%it_b=2501;
index=it_b:1:size(sigmc,4);
end
if ~tvar
nst=size(etamc,1);
if nst>1;
np = size(etamc,1);
mc = size(etamc,3);
figure(gcf+1);
for i = 1:np
for j = 1:np
   subplot(np,np,(i-1)*(np)+j);
      [xt f]=ksdensity(squeeze(etamc(i,j,index))');
   plot(f,xt,'LineWidth',flin);
   end
end
subplot(np,np,1);
title('\eta _i_j');
subplot(np,np,np+1);
ylabel('i');
subplot(np,np,2);
title('j');
end
end
nst=size(parmsmc_s,2);
[ind_VAR_n,ind_parms_n]=findparms(ind_n,const,exo);
ind_exo=ind_parms_n(end-exo+1:end,:);
ind_exo_n=ind_exo(find(ind_exo));
[ind_VAR_s,ind_parms_s]=findparms(ind_s,const,exo);
ind_exo=ind_parms_s(end-exo+1:end,:);
ind_exo=ind_exo(find(ind_exo));
k=1;
l=1;
m=1;
if any([ind_exo_n;ind_exo]);
   %figure(gcf+1);
    nc=exo;
    nr=ceil(exo/nc);%ize(ind_s,1);
    for i=1:nr
        for j=1:nc
            if m<=exo
            %subplot(nr,nc,m);
            figure(gcf+1)
            if ind_s(1,end-exo+m)
                for st=1:nst
                    [xt f]=ksdensity(squeeze(parmsmc_s(ind_exo(k),st,index))');
                    plot(f,xt,str(st,:),'LineWidth',flin);
                    hold on
                end
                k=k+1;
            end
            if ind_n(1,end-exo+m)
                [xt f]=ksdensity(parmsmc_n(ind_exo_n(l),index));
                plot(f,xt,str(1,:),'LineWidth',flin);
                l=l+1;
            end
              xlabel(exo_lab(m),'FontSize',flab)
            m=m+1;
            %if i==1
            %    title(ser_incl(m-1))
            %end
%             if j==1
                
%             end
            end
        end
    end
%     subplot(nr,nc,1);
%     title('switching adjustment coefficient');
end

nst=size(parmsmc_s,2);
[ind_VAR_s,ind_parms_s]=findparms(ind_s,const,exo);

for m=1:max(const,lags);
    k=1;
    z=1;
    ind_ns=ind_parms_n(1+ (m-1)*nvars*(lags>0)+const*(m>1) :(lags>0)*nvars*m+const,:);
    ind_ns=ind_ns(find(ind_ns));
    ind_sw=ind_parms_s(1+ (m-1)*nvars*(lags>0)+const*(m>1) :(lags>0)*nvars*m+const,:);
    ind_sw=ind_sw(find(ind_sw));

    figure(gcf+1)
    nc=nvars+(const*(m==1));
    nr=nvars;
    for i=1:nvars;
        for l=1:(lags>0)*nvars+(const*(m==1))
            subplot(nr,nc,l+((lags>0)*nvars+(const*(m==1)))*(i-1))
%             [nr nc l+(nvars+(const*(m==1)))*(i-1)]
%             [i,l+(m-1)*nvars+const*(m>1)]
            if ind_s(i,l+(m-1)*nvars+const*(m>1))
                for j=1:nst;
                    %           [xt f]=dichte(squeeze(parmsmc_s((i-1)*(nvars*lags+const)+l,j,index))');
                    [xt f]=ksdensity(squeeze(parmsmc_s(ind_sw(k),j,index))');
                    
                    plot(f,xt,str(j,:));
                    hold on;
                end
                k=k+1;
            elseif ind_n(i,l+(m-1)*nvars+const*(m>1))
                [xt f]=ksdensity(parmsmc_n(ind_ns(z),index));
                plot(f,xt,'k-');
                z=z+1;
            end
            if i==1
                if (l==1)*(m==1)
                    xlabel('intercept')
                else 
                   % title(['A_\cdot_' int2str(l-1) '(s_t), lag ' int2str(m)]);
                   xlabel('AR(1) coefficient')
                end
                if  m>1
                    title(['A_\cdot_' int2str(l) '(s_t), lag ' int2str(m)']);
                end
                
            end
            if l==1
%                ylabel(ylab(i,:))
            end
        end
        %         subplot(nr,nc,1)
        %         title(['variable ' int2str(i)])
    end
end


% figure(gcf+1);
% nst=size(parmsmc_s,2); 
% rows=size(parmsmc_s,1);
% for i=1:nst
%    for j=1:rows
%       subplot(rows,nst,nst*(j-1)+i);
%       if nst==1;
%          [xt f]=dichte(squeeze(parmsmc_s(j,index))');
%          plot(f,xt);
%       else
%          [xt f]=dichte(squeeze(parmsmc_s(j,i,index))');
%          plot(f,xt);
%       end
%    end
% end
% subplot(rows,nst,1);
% title('switching parms');


m=size(sigmc,3);
nvars=size(sigmc,1);
figure(gcf+1);
for i=1:m
    for j=1:nvars
        for l=1:nvars
            subplot(nvars,nvars,(j-1)*nvars+l);
            [xt f]=ksdensity(squeeze(sigmc(j,l,i,index))');
            plot(f,xt,str(i,:));
            hold on
        end
    end
    subplot(nvars,nvars,1);
    xlabel('\sigma^2_k ','FontSize',flab);
end

if tvar
    % tit={'effect of Zgam: variable k to state'};
    if gz
        tit={'effect of Z_t: from regime k(t-1) to state 2(t)'};
    elseif ~gz
        tit={'effect of Z_t'};
    end
    ylab={'variable '};
    reg={'loan growth';'2';'3';'4';};
    Zdim=size(Zgam,2);
    h1=figure(gcf+1);
    h2=figure(gcf+1);
    for j=1:Zdim;
        for k=1:nst-1
            figure(h1)
            subplot(Zdim,nst-1,(j-1)*(nst-1)+k)
            for l=1:(1+gz*(nst-1));
                %f=linspace(min(gammc((l-1)*Zdim+j,k+1,index)),max(gammc((l-1)*Zdim+j,k+1,index)),200);
                [xt f]=ksdensity(squeeze(gammc((l-1)*Zdim+j,k+1,index))');
%                 vec=squeeze(gammc((l-1)*Zdim+j,:,index));
%                 [xt f]=ksdensity(vec(vec~=0)');
                plot(f,xt,str(l,:));
                hold on
            end
            xlabel('\gamma^z_k_2','FontSize',flab);
%             px=sqrt(1/prinfgam(1,1))*randn(5000,1);
%             [x,f]=ksdensity(px');
%             plot(f,x,'k-.')
%             if and(j==1,k==1)
%                 %     title([tit;reg(k+1,:)],'FontSize',12);
%                 %ylabel([ylab;reg(k,:)],'FontSize',12);
%                 %legend('regime 1','regime 2','FontSize',12)
%             elseif j==1
%                 %     title(reg(k+1,:),'FontSize',12)
%             elseif k==1
%                 %     ylabel(reg(k,:),'FontSize',12)
%             end
            figure(h2)
        subplot(Zdim,nst-1,(j-1)*(nst-1)+k)
        hist(permute(gammc(([1:(1+gz*(nst-1))]-1).*Zdim+j,k+1,index),[3 1 2]))
        end
    end
end

tit={'constant transition effect: from regime k(t-1) to state k(t)'};
ylab={' '};
reg={'1';'2';'3';'4';};
Zdim=1;
h1=figure(gcf+1);
h2=figure(gcf+1);
for j=1:Zdim;
    for k=1:nst-1
        figure(h1)
        subplot(Zdim,nst-1,(j-1)*(nst-1)+k)
        for l=1:nst;
            [xt,f]=ksdensity(squeeze(gammc(end-nst+l,k+1,index))');
            f=linspace(min(f),max(f),200);
            [xt]=ksdensity(squeeze(gammc(end-nst+l,k+1,index))',f);
%             vec=squeeze(gammc(end-nst+l,:,index));
%                 [xt f]=ksdensity(vec(vec~=0)');
            plot(f,xt,str(l,:));
            hold on
        end
        xlabel('\gamma_k_2','FontSize',flab);
%         if and(j==1,k==1)
%             title([tit;reg(k+1,:)],'FontSize',12);
%             %ylabel([ylab;reg(k,:)],'FontSize',12);
%             %legend('regime 1','regime 2','regime 3','FontSize',12)
%         elseif j==1
%             title(reg(k+1,:),'FontSize',12)
%         elseif k==1
%             %ylabel(reg(k,:),'FontSize',12)
%         end
        figure(h2)
        subplot(Zdim,nst-1,(j-1)*(nst-1)+k)
        hist(permute(gammc(end-nst+[1:nst],k+1,index),[3 1 2]))
        
    end
    
    if gammc
        stvarpmc=log(sum(exp(gammc(end-nst+1:end,:,:)),2));
        tvarpmc=exp(gammc(end-nst+1:end,:,:)- stvarpmc(:,ones(1,nst),:));
        
        figure(gcf+1);
        for j = 1:nst
            for k = 1:nst
                subplot(nst,nst,(j-1)*(nst)+k);
                [xt f]=ksdensity(squeeze(tvarpmc(j,k,index))');
                plot(f,xt);
            end
        end
        subplot(nst,nst,1);
        title('\eta _i_j, j');
        subplot(nst,nst,1);
        ylabel('i');
        %  subplot(nst,nst,2);
        %  title('j');
        
        clear tvarpmc stvarpmc
    end
end



