sty=(Zgam+1.7)>X(:,3);
sty(cal<1988.5)=0.0;
sty(cal==1991.0)=1.0;
sty(cal==1995.5)=0.0;

 st1=(cal==1988.5)+(cal==2000.25)+(cal==2007.75)+(cal==1991.75)+(cal==2001.75)+(cal==2009.0);

gammc_old=gammc;
gam_restr=[];
if gam_restr
    gammc(gam_restr,2,:)=0;
end
set(0,'DefaultLineLineWidth',2.5,'DefaultAxesFontSize',28);

np1 = size(sstmc,1);
np2=0; %set 1 if an additional graph with e.g. GDP growth is added to state probabilities

states=[1:np1];
nt=length(cal);

tit=['posterior state probabilities'];



prob=mean(sstmc(:,:,index),3);
prob=prob(:,end-nt+1:end);

if tvar
tvpm=plottvp(gammc(:,:,index),Zgam,cal,gz,st1);
end


figure(gcf+1);
for i = 2
    subplot(1,1,1);
    bar(cal(2:end),sty(2:end),'y');
    hold on
    h=bar(cal(2:end),prob(i,2:end)','c');
    hold on
    set(gca);
    axis([cal(1) cal(end) 0 1]);
    ax1=gca;
    set(ax1,'XLim',[cal(2) cal(end)],'XTick',[ceil(cal(2)):5:floor(cal(end))],'YLim',[0 1],'YTick',[0:0.5:1]);
    ax2=axes('Position',get(ax1,'Position'),'XAxisLocation','top','YAxisLocation','right','Color','none');
    set(ax2,'XLim',[cal(2) cal(end)],'XTick',[ceil(cal(2)):5:floor(cal(end))],'XTickLabel',' ','YLim',[-1 3.5],'YTick',[-1:1:3]);
    line(cal(2:end),y(2:end),'Parent',ax2,'Color','k','LineStyle','-');
    line(cal(2:end),X(2:end,3),'Parent',ax2,'Color','k','LineStyle','-.');
    line(cal(2:end),Zgam(2:end,1)+1.7,'Parent',ax2,'Color','k','LineStyle','--');
    line(cal(2:end),1.9*ones(length(cal(2:end))),'Parent',ax2,'Color','k','LineStyle','-');
    legend('HICP infl','LF M3 growth','credit growth','Location','SouthOutside','Orientation','horizontal');
end

