function tvpm=plottvp(gammc,Zgam,cal,gz,st1)
nst=size(gammc,2);
mc=size(gammc,3);
T=size(Zgam,1);
Zdim=size(Zgam,2);
Zgamk=kron(ones(1,nst),Zgam);
tvpmc=zeros(nst,nst,T,mc);
if ~gz
gammc=gammc([1 1:end],:,:);
end

Di=kron(ones(1,nst),[kron(eye(nst),ones(Zdim,1));eye(nst)]);
Di=Di(:,:,ones(1,mc));
Zgamt=permute(Zgam(:,:,ones(1,nst)),[2 3 1]);

for j=1:T
    Zgami=kron(ones(nst,1),Zgamt(:,:,j));Zgami=[Zgami(:,:,ones(1,mc));ones(nst,nst,mc)];
    gami=gammc.*Zgami;gami=gami(:,kron(1:nst,ones(1,nst)),:);
    eta=reshape(sum(gami.*Di,1),nst,nst,mc);
    lse=log(sum(exp(eta),2));
    eta= exp(eta-lse(:,ones(1,nst),:));
    tvpmc(:,:,j,:)=permute(eta,[1 2 4 3]);
end

tvpm=mean(tvpmc,4);
tvpm_md=median(tvpmc,4);
       
%figure(gcf+1)
for j=1:nst
    for k=1:nst
        %subplot(nst,nst,(j-1)*nst+k)
        figure(gcf+1)
%         plot(cal(end-T+1:end),squeeze(tvpm(j,k,:))')
%         hold on
        plot(cal(end-T+1:end),squeeze(tvpm_md(j,k,:))');
        hold on
        bar(cal(end-T+1:end),st1);
        V=axis;
        axis([cal(end-T+1) cal(end) 0 1]);
        xlabel(['\xi_' int2str(j) '_' int2str(k) '_,_t'],'FontSize',34)
    end
end

plotdichte_threshold2
