function [beta_fix,beta_ms,Zmat,par,bmean,bvar]=simparinfo(y,Z_fix,Z_ms,sst,sig,prbem,prbeinf,nst);

if size(sig,3)==1;
    sig=sig(:,:,ones(nst,1));
end
states=1:nst;
n=size(sst,2)-1;
nvars=size(y,1)/n;
npar=size(Z_fix,2)+size(Z_ms,2)*nst;
S=(sst(ones(1,nst),2:end)==states(ones(1,n),:)')';
S_sum=sum(S,1);

W=kron(eye(n),sig(:,:,1)^-1);
Zmat=[Z_fix];
if nst>1;
    for i=1:nst;
        Zmat=[Zmat Z_ms.*(kron(squeeze(S(:,i,ones(1,size(Z_ms,2)))),ones(nvars,1)))];
        if S_sum(i)>0
            ind=find(sst(2:end)==i)';
            ind=[kron((ind-1)*nvars,ones(1,nvars))+kron(ones(length(ind),1),[1:nvars])];
            ind=ind';ind=ind(:);
            W(ind,ind)=kron(eye(S_sum(i)),sig(:,:,i)^-1);
        end
    end
end
bvar=inv(Zmat'*W*Zmat+prbeinf);
bmean=bvar*(Zmat'*W*y+prbeinf*prbem);
par=bmean+ chol(bvar)'*randn(npar,1);
beta_fix=par(1:size(Z_fix,2));
beta_ms=reshape(par(size(Z_fix,2)+1:end),size(Z_ms,2),nst);
