function [sig,detsig,nupost,sigpost] =simsiginfo(y,Zmat,par,sst,nu0,sig0,nst,sigswitch);

states=1:nst;
n=size(sst,2)-1;
nvars=size(y,1)/n;

S=(sst(ones(1,nst),2:end)==states(ones(1,n),:)')';

res=y-Zmat*par;
res=reshape(res,nvars,n);
nupost=nu0(1,ones(1,nst));
sigpost=sig0(:,:,ones(1,nst));
detsig=zeros(1,nst*sigswitch+(1-sigswitch));

for j=1:nst
    if sigswitch
       sig(:,:,j)=invwishart(nu0+0.5*sum(S(:,j),1),sig0+0.5*res(:,sst(2:end)==j)*res(:,sst(2:end)==j)');
       detsig(:,j)=det(sig(:,:,j));
       nupost(1,j)=nupost(1,j+0.5*sum(S(:,j),1));
       sigpost(:,:,j)=sigpost(:,:,j)+0.5*res(:,sst(2:end)==j)*res(:,sst(2:end)==j)';
    elseif ~sigswitch*(j==1)
       sig=invwishart(nu0+n*0.5,sig0+0.5*res*res'); 
       detsig(:,j)=det(sig);
       nupost=nu0+0.5*n; 
       sigpost=sig0+0.5*res*res';
    end
end
